net.sourceforge.pmd.lang.java.symboltable

## Class TypeSet.CurrentPackageResolver

- java.lang.Object
- - net.sourceforge.pmd.lang.java.symboltable.TypeSet.CurrentPackageResolver

- All Implemented Interfaces:
    TypeSet.Resolver
  Enclosing class:
    TypeSet

      public static class TypeSet.CurrentPackageResolver
      extends Object
      implements TypeSet.Resolver

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TypeSet.CurrentPackageResolver(String pkg)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<?>` | `resolve(String name)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TypeSet.CurrentPackageResolver

          public TypeSet.CurrentPackageResolver(String pkg)

  - ### Method Detail

    - #### resolve

          public Class<?> resolve(String name)
                           throws ClassNotFoundException

      Specified by:
        `resolve` in interface `TypeSet.Resolver`
      Throws:
        `ClassNotFoundException`

Copyright © 2002-2013 InfoEther. All Rights Reserved.